Skip to main content
PUT
/
v4
/
core
/
webhook-config
/
{webhookConfigId}
Update
curl --request PUT \
  --url https://api.integrations.commenda.io/v4/core/webhook-config/{webhookConfigId} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "webhook_type": "DATA_MODEL_CHANGES",
  "name": "My webhook",
  "url": "https://example.com/webhooks",
  "topics": [
    "orders/create"
  ],
  "state": "ENABLED",
  "signing_key": "your-signing-key",
  "headers": [
    {
      "name": "X-Custom-Header",
      "value": "custom-value"
    }
  ]
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/webhook-config/{webhookConfigId}"

payload = {
"webhook_type": "DATA_MODEL_CHANGES",
"name": "My webhook",
"url": "https://example.com/webhooks",
"topics": ["orders/create"],
"state": "ENABLED",
"signing_key": "your-signing-key",
"headers": [
{
"name": "X-Custom-Header",
"value": "custom-value"
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhook_type: 'DATA_MODEL_CHANGES',
name: 'My webhook',
url: 'https://example.com/webhooks',
topics: ['orders/create'],
state: 'ENABLED',
signing_key: 'your-signing-key',
headers: [{name: 'X-Custom-Header', value: 'custom-value'}]
})
};

fetch('https://api.integrations.commenda.io/v4/core/webhook-config/{webhookConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "rootfi_id": 123,
    "rootfi_created_at": "<string>",
    "rootfi_updated_at": "<string>",
    "rootfi_organisation_id": 123,
    "name": "<string>",
    "url": "<string>",
    "topics": [
      "<string>"
    ],
    "headers": [
      {
        "name": "X-Custom-Header",
        "value": "custom-value"
      }
    ],
    "signature_header": {}
  }
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

webhookConfigId
number
required

Body

application/json
webhook_type
enum<string>
Available options:
INTEGRATION,
DATA_MODEL_CHANGES,
CONNECTION_CHANGED,
SYNC_COMPLETED,
SYNC_STARTED,
DISCONNECT_REQUESTED
Example:

"DATA_MODEL_CHANGES"

name
string
Example:

"My webhook"

url
string<uri>
Example:

"https://example.com/webhooks"

topics
string[]
Example:
["orders/create"]
state
enum<string>
Available options:
ENABLED,
DISABLED
Example:

"ENABLED"

signing_key
string
Example:

"your-signing-key"

headers
object[]

Response

200 - application/json
data
object
required